<template>
  <div
    class="fixed top-0 right-0 m-1 rounded border border-primary-600 p-1 flex flex-wrap gap-1 justify-center"
  >
    <BaseButton
      class="bg-primary-500 bg-opacity-30 rounded border border-primary-600"
    >
      <TranslateIcon class="h-5 w-5" />
    </BaseButton>
    <BaseButton
      v-if="
        $nuxt.$route.name != 'index' && $nuxt.$route.name != 'updatePassword'
      "
      label="Atualizar senha"
      class="bg-blue-500 bg-opacity-30 rounded border border-blue-600"
      @click="$router.push('/updatePassword')"
    >
      <KeyIcon class="h-5 w-5" />
    </BaseButton>
    <BaseButton
      v-if="$nuxt.$route.name != 'index' && $nuxt.$route.name != 'hindrances'"
      label="Dificuldades"
      class="bg-info-500 bg-opacity-30 rounded border border-info-600"
      @click="$router.push('/hindrances')"
    >
      <QuestionMarkCircleIcon class="h-5 w-5" />
    </BaseButton>
    <BaseButton
      v-if="$nuxt.$route.name != 'index' && $nuxt.$route.name != 'home'"
      label="Tarefas"
      class="bg-success-500 bg-opacity-30 rounded border border-success-600"
      @click="$router.push('/home')"
    >
      <ClipboardListIcon class="h-5 w-5" />
    </BaseButton>
    <BaseButton
      v-if="
        $nuxt.$route.name != 'index' &&
        $nuxt.$route.name != 'admin-main' &&
        $auth.user.authorizationLevel() >= 100
      "
      label="Administração"
      class="bg-purple-500 bg-opacity-30 rounded border border-purple-600"
      @click="$router.push('/admin/main')"
    >
      <UserIcon class="h-5 w-5" />
    </BaseButton>
    <BaseButton
      v-if="$nuxt.$route.name != 'index'"
      label="Sair"
      class="bg-warning-500 bg-opacity-30 rounded border border-warning-600"
      @click="logout"
    >
      <LogoutIcon class="h-5 w-5" />
    </BaseButton>
  </div>
</template>

<script>
import {
  QuestionMarkCircleIcon,
  ClipboardListIcon,
  TranslateIcon,
  LogoutIcon,
  UserIcon,
  KeyIcon,
} from '@vue-hero-icons/outline'
import BaseButton from './ui/BaseButton.vue'
export default {
  name: 'ButtonsNavbar',
  components: {
    QuestionMarkCircleIcon,
    ClipboardListIcon,
    TranslateIcon,
    BaseButton,
    LogoutIcon,
    UserIcon,
    KeyIcon,
  },
  methods: {
    logout() {
      window.location.reload(true)
    },
  },
}
</script>
